Bug 66040 - FILEOPEN: RTF import - nothing is imported
Summary: FILEOPEN: RTF import - nothing is imported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
QA Contact: Jorendc
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-22 09:36 UTC by Andras Timar
Modified: 2013-07-08 15:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
bugdoc (170.50 KB, application/rtf)
2013-06-22 09:36 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2013-06-22 09:36:56 UTC
Created attachment 81200 [details]
bugdoc

The attached document has two text boxes on a landscape oriented page, in each text box there is a table with borders. RTF importer imports an empty page.
Comment 1 Jorendc 2013-06-23 16:26:36 UTC
Thanks Andras :-)! 

I can confirm that the document is empty using Linux Mint 15 x64 with LibreOffice 4.0.4.2.

Kind regards,
Joren
Comment 2 Miklos Vajna 2013-06-24 16:15:02 UTC
I'll take care of this. Actually, seems the bugdoc contains a groupshape, and support for groupshapes is completely missing in the RTF import, so probably the first step will be to make groupshapes with simple shapes work.
Comment 3 Commit Notification 2013-06-25 13:40:05 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8ee2ee7529900628b1c533d77c039618917bc97

fdo#66040 RTF import: initial groupshape support



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Miklos Vajna 2013-06-25 13:45:52 UTC
Fixed on master. ATM I plan no backport of this, it needs 4ab658b56f5c6ff0082d38d8ace1924d11e30e96 from master, which is sort of a feature and is not backported to -4-1.
Comment 5 Commit Notification 2013-07-08 15:24:25 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e11cb276e54c6fe4e903c7f44e36bc36798ba63

Related: fdo#66040 RTF import: by default, do create a group shape for \shpgrp



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.